## com.google.gwt.event.shared
Interface HasHandlers

All Known Subinterfaces:
  DialogBox.Caption, HasAllFocusHandlers, HasAllKeyHandlers, HasAllMouseHandlers, HasBeforeSelectionHandlers<I>, HasBlurHandlers, HasChangeHandlers, HasClickHandlers, HasCloseHandlers<T>, HasContextMenuHandlers, HasDoubleClickHandlers, HasErrorHandlers, HasFocusHandlers, HasHighlightHandlers<V>, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasLoadHandlers, HasLoseCaptureHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasOpenHandlers<T>, HasResizeHandlers, HasSelectionHandlers<I>, HasShowRangeHandlers<V>, HasValue<T>, HasValueChangeHandlers<I>, TabBar.Tab

All Known Implementing Classes:
  AbsolutePanel, Anchor, Button, ButtonBase, CalendarView, CaptionPanel, CellPanel, CheckBox, ComplexPanel, Composite, CustomButton, DateBox, DatePicker, DeckPanel, DecoratedPopupPanel, DecoratedStackPanel, DecoratedTabBar, DecoratedTabPanel, DecoratorPanel, DefaultCalendarView, DefaultMonthSelector, DialogBox, DisclosurePanel, DockPanel, FileUpload, FlexTable, FlowPanel, FocusPanel, FocusWidget, FormPanel, Frame, Grid, Hidden, HorizontalPanel, HorizontalSplitPanel, HTML, HTMLPanel, HTMLTable, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, Label, LazyPanel, ListBox, MenuBar, MonthSelector, NamedFrame, Panel, PasswordTextBox, PopupPanel, PushButton, RadioButton, RichTextArea, RootPanel, ScrollPanel, SimpleCheckBox, SimplePanel, SimpleRadioButton, StackPanel, SuggestBox, TabBar, TabPanel, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, VerticalPanel, VerticalSplitPanel, Widget

    public interface HasHandlers

An object that implements this interface has a collection of event handlers associated with it.

Method Summary
`void` | `fireEvent(GwtEvent<?> event)` Fires the given event to all the appropriate handlers.

Method Detail

### fireEvent

    void fireEvent(GwtEvent<?> event)

  Fires the given event to all the appropriate handlers.

  Parameters:
    `event` - the event to be fired